Package htsjdk.samtools.util

# Class SnappyLoader

java.lang.Object
htsjdk.samtools.util.SnappyLoader

public class SnappyLoader extends Object
Checks if Snappy is available, and provides methods for wrapping InputStreams and OutputStreams with Snappy if it is.

## Constructor Summary

Constructors
Constructor
Description
`SnappyLoader()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSnappyAvailable()`
Returns true if Snappy is available, false otherwise.
`InputStream`
`wrapInputStream(InputStream inputStream)`
Wrap an InputStream in a SnappyInputStream.
`OutputStream`
`wrapOutputStream(OutputStream outputStream)`
Wrap an OutputStream in a SnappyOutputStream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnappyLoader

public SnappyLoader()

## Method Details

### isSnappyAvailable

public boolean isSnappyAvailable()
Returns true if Snappy is available, false otherwise.

### wrapInputStream

public InputStream wrapInputStream(InputStream inputStream)
Wrap an InputStream in a SnappyInputStream.

Throws:
  `SAMException` - if Snappy is not available will throw an exception.

### wrapOutputStream

public OutputStream wrapOutputStream(OutputStream outputStream)
Wrap an OutputStream in a SnappyOutputStream.

Throws:
  `SAMException` - if Snappy is not available